using System.Collections.Generic;

namespace Stat.BLL
{
    /// <summary>
    /// 用户反馈
    /// </summary>
    public class Message
    {

       private static IDAL.IMessage dal = DALFactory.AbstractFactory.GetInstance().CreateMessage();
        /// <summary>
        /// 添加信息
        /// </summary>
        /// <returns></returns>
        public static bool Insert(Stat.Model.Message model)
        {
            return dal.Insert(model);
        }
        /// <summary>
        /// 修改信息
        /// </summary>
        /// <returns></returns>
        public static bool Update(Stat.Model.Message model)
        {

            return dal.Update(model);
        }
        /// <summary>
        ///删除信息
        /// </summary>
        /// <returns></returns>
        public static bool Delete(int id)
        {
            return dal.Delete(id);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public static IList<Model.Message> Get(Model.Message messageModel, ref Model.PageInfo pageModel)
        {
            return dal.Get(messageModel, ref pageModel);
        }
        /// <summary>
        /// 获取信息
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Message> Get(int id)
        {
            return dal.Get(id);
        }
        /// <summary>
        ///  
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Message> Get(int Sum, int IsPass)
        {
            return dal.Get(Sum, IsPass);
        }

    }
}